/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package analise.parte.pkg01;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

import java.awt.Color;
import javax.swing.JFrame;
import de.erichseifert.gral.data.DataTable;
import de.erichseifert.gral.graphics.Label;
import de.erichseifert.gral.plots.PlotArea;
import de.erichseifert.gral.plots.XYPlot;
import de.erichseifert.gral.plots.lines.DefaultLineRenderer2D;
import de.erichseifert.gral.plots.lines.LineRenderer;
import de.erichseifert.gral.plots.points.PointRenderer;
import de.erichseifert.gral.ui.InteractivePanel;


/**
 *
 * @author Convidado01
 */

public class Principal01 extends javax.swing.JFrame {

    /**
     * Creates new form Principal01
     */
    public Principal01() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton2 = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        Tb_01 = new javax.swing.JTable();
        ex01 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        ex2_1 = new javax.swing.JButton();
        ex2_2 = new javax.swing.JButton();
        ex3_1 = new javax.swing.JButton();
        ex3_2 = new javax.swing.JButton();
        ex_4 = new javax.swing.JButton();
        ex_5 = new javax.swing.JButton();
        ex6_todos = new javax.swing.JButton();
        ex6_vickie = new javax.swing.JButton();
        ex6_andre = new javax.swing.JButton();
        ex6_miguel = new javax.swing.JButton();
        ex_7 = new javax.swing.JButton();
        ex_8 = new javax.swing.JButton();
        ex_9_1 = new javax.swing.JButton();
        ex_9_2 = new javax.swing.JButton();

        jButton2.setText("jButton2");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        Tb_01.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(Tb_01);

        ex01.setText("1");
        ex01.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex01ActionPerformed(evt);
            }
        });

        jLabel1.setText("1 = A média e desvio padrão dos ratings para artistas musicais e filmes");

        jLabel2.setText("2 = Os artistas e filmes com o maior rating médio curtidos por pelo menos duas pessoas. ");

        jLabel3.setText("3 =  10 artistas musicais e filmes mais populares");

        jLabel4.setText("4 = Relacionamentos de conhecidos da turma.");

        jLabel5.setText("5 = conhecidos  que compartilham o maior numero de filmes curtidos");

        jLabel6.setText("6 = número de conhecidos dos conhecidos para cada integrante do seu grupo");

        jLabel7.setText("7 = gráfico para a função f(x) = (número de pessoas que curtiram exatamente x filmes)");

        jLabel8.setText("8 = gráfico para a função f(x) = (número de filmes curtidos por exatamente x pessoas).");

        jLabel9.setText("9 = duas outras informações que seriam úteis para compreender melhor a rede. ");

        ex2_1.setText("2.1");
        ex2_1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex2_1ActionPerformed(evt);
            }
        });

        ex2_2.setText("2.2");
        ex2_2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex2_2ActionPerformed(evt);
            }
        });

        ex3_1.setText("3.1");
        ex3_1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex3_1ActionPerformed(evt);
            }
        });

        ex3_2.setText("3.2");
        ex3_2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex3_2ActionPerformed(evt);
            }
        });

        ex_4.setText("4");
        ex_4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex_4ActionPerformed(evt);
            }
        });

        ex_5.setText("5");
        ex_5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex_5ActionPerformed(evt);
            }
        });

        ex6_todos.setText("6 todos");
        ex6_todos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex6_todosActionPerformed(evt);
            }
        });

        ex6_vickie.setText("6 Vickie");
        ex6_vickie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex6_vickieActionPerformed(evt);
            }
        });

        ex6_andre.setText("6 André");
        ex6_andre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex6_andreActionPerformed(evt);
            }
        });

        ex6_miguel.setText("6 Miguel");
        ex6_miguel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex6_miguelActionPerformed(evt);
            }
        });

        ex_7.setText("7");
        ex_7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex_7ActionPerformed(evt);
            }
        });

        ex_8.setText("8");
        ex_8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex_8ActionPerformed(evt);
            }
        });

        ex_9_1.setText("9.1");
        ex_9_1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex_9_1ActionPerformed(evt);
            }
        });

        ex_9_2.setText("9.2");
        ex_9_2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ex_9_2ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3)
                            .addComponent(jLabel4)
                            .addComponent(jLabel5)
                            .addComponent(jLabel6)
                            .addComponent(jLabel7)
                            .addComponent(jLabel8)
                            .addComponent(jLabel9))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addComponent(ex_4, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(ex3_1, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                                .addComponent(ex3_2, javax.swing.GroupLayout.DEFAULT_SIZE, 69, Short.MAX_VALUE)
                                                .addComponent(ex01, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                            .addComponent(ex2_2, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(ex2_1, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE))))
                                .addGap(8, 8, 8))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(ex6_todos)
                                    .addComponent(ex_5, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(ex6_vickie, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ex_8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ex_9_2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ex_7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ex6_miguel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ex6_andre, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ex_9_1, javax.swing.GroupLayout.PREFERRED_SIZE, 79, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 582, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(12, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 146, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(ex01))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(ex2_1))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel3)
                            .addComponent(ex2_2))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(ex3_1)
                                .addGap(6, 6, 6)
                                .addComponent(ex3_2))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel4)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jLabel5)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLabel6)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(ex_4)
                            .addComponent(jLabel7))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(ex_5)
                            .addComponent(ex_9_2)
                            .addComponent(jLabel8)))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(ex6_vickie)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(ex6_andre)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(ex6_miguel)
                        .addGap(6, 6, 6)
                        .addComponent(ex_7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(ex_8)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(ex_9_1, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(13, 13, 13)
                        .addComponent(ex6_todos))
                    .addGroup(layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel9)))
                .addContainerGap(92, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents


    private void ex01ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex01ActionPerformed
          try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
               

                ResultSet rs = stmt.executeQuery
                 ("SELECT AVG(curte.nota) AS Media_nota_artistas,AVG(curte2.nota) AS Media_nota_filmes,\n" +
                 "STDDEV(curte.nota) AS Desvio_Padrao_artistas,STDDEV(curte2.nota) AS Desvio_Padrao_filmes\n" +
                   "FROM curte,curte2");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"Media_nota_artistas", "Media_nota_filmes", "Desvio_Padrao_artistas", "Desvio_Padrao_filmes de nascimento"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Media_nota_artistas"), rs.getString("Media_nota_filmes"), rs.getString("Desvio_Padrao_artistas"), rs.getString("Desvio_Padrao_filmes")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(300);
                Tb_01.getColumnModel().getColumn(1).setPreferredWidth(100);
                Tb_01.getColumnModel().getColumn(2).setPreferredWidth(100);
                Tb_01.getColumnModel().getColumn(3).setPreferredWidth(100);

                rs.close();
                stmt.close();
                closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");

     

    }//GEN-LAST:event_ex01ActionPerformed

    private void ex2_1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex2_1ActionPerformed
        try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("SELECT Distinct filme,\n" +
"AVG(c2.nota) as nota\n" +
" FROM Curte2 c2\n" +
"where (SELECT count(filme) as ctf From curte2 c1\n" +
"where c1.filme=c2.filme\n" +
"group by filme) >=2\n" +
"group by filme \n" +
"ORDER BY nota DESC;;");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"Filme", "Nota"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("filme"), rs.getString("nota")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(200);
                Tb_01.getColumnModel().getColumn(1).setPreferredWidth(200);
                

                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");

     
    }//GEN-LAST:event_ex2_1ActionPerformed

    private void ex2_2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex2_2ActionPerformed
          try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("SELECT Distinct artistas,\n" +
"AVG(c2.nota) as nota \n" +
"FROM Curte c2\n" +
"where (SELECT count(artistas) as ctf From curte c1\n" +
"where c1.artistas=c2.artistas\n" +
"group by artistas) >=2\n" +
"group by artistas \n" +
"ORDER BY nota DESC");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"artistas", "Nota"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("artistas"), rs.getString("nota")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(200);
                Tb_01.getColumnModel().getColumn(1).setPreferredWidth(200);
                

                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");

    }//GEN-LAST:event_ex2_2ActionPerformed

    private void ex3_2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex3_2ActionPerformed
               try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("SELECT Distinct artistas,\n" +
"count(artistas) as curtidas \n" +
" FROM Curte\n" +
"group by artistas \n" +
"ORDER BY count(artistas) DESC \n" +
"limit 10");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"artistas", "curtidas"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("artistas"), rs.getString("curtidas")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(200);
                Tb_01.getColumnModel().getColumn(1).setPreferredWidth(200);
                

                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");

    }//GEN-LAST:event_ex3_2ActionPerformed

    private void ex3_1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex3_1ActionPerformed
       try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("SELECT Distinct filme,\n" +
"count(filme) as nota \n" +
"FROM Curte2 c2\n" +
"group by filme \n" +
"ORDER BY count(filme) DESC\n" +
"limit 10");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"filme", "Nota"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("filme"), rs.getString("nota")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(200);
                Tb_01.getColumnModel().getColumn(1).setPreferredWidth(200);
                

                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
       
    }//GEN-LAST:event_ex3_1ActionPerformed

    private void ex_4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex_4ActionPerformed

 try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
            String createVIEW = "CREATE OR REPLACE VIEW ConheceNormalizada as ( \n" +
"Select c1.usua1,c1.usua2 FROM conhece c1\n" +
"union\n" +
"Select c2.usua2,c2.usua1 from conhece c2\n" +
"Where (c2.usua2,c2.usua1) not in (SELECT * FROM conhece)\n" +
"order by usua1 asc)";
            stmt.executeUpdate(createVIEW);
                         
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "VIEW  Criada/Atualizada!");
       


    }//GEN-LAST:event_ex_4ActionPerformed

    private void ex_5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex_5ActionPerformed
        try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select c1.usua1 as usu1,\n" +
"c1.usua2 as usu2,\n" +
"count(*) as quantidade \n" +
"from conhecenormalizada c1,curte2 c2\n" +
"where c1.usua1 = c2.usuario and c2.filme in (\n" +
"	select c3.filme from curte2 c3\n" +
"	where c3.usuario = c1.usua2) and c1.usua1>c1.usua2\n" +
"group by c1.usua1,c1.usua2\n" +
"order by Count(*) desc\n" +
"LIMIT 1");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"usu1", "usu2", "quantidade"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("usu1"), rs.getString("usu2"), rs.getString("quantidade")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(300);
                Tb_01.getColumnModel().getColumn(1).setPreferredWidth(300);
                Tb_01.getColumnModel().getColumn(2).setPreferredWidth(50);

                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    }//GEN-LAST:event_ex_5ActionPerformed

    private void ex6_todosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex6_todosActionPerformed
           try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select count(*) as Quantidade_de_conhecidos_dos_conhecidos\n" +
" from conhece c2\n" +
"where c2.usua1 in (Select distinct c1.usua2 from conhecenormalizada c1\n" +
"WHERE c1.usua1 in ('http://utfpr.edu.br/CSB30/2019/1/DI1901vickiearanha','http://utfpr.edu.br/CSB30/2019/1/DI1901andreolivei','http://utfpr.edu.br/CSB30/2019/1/DI1901miguelneto') \n" +
"AND c1.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901vickiearanha','http://utfpr.edu.br/CSB30/2019/1/DI1901andreolivei','http://utfpr.edu.br/CSB30/2019/1/DI1901miguelneto'))\n" +
"and c2.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901vickiearanha','http://utfpr.edu.br/CSB30/2019/1/DI1901andreolivei','http://utfpr.edu.br/CSB30/2019/1/DI1901miguelneto')");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{ "Quantidade_de_conhecidos_dos_conhecidos"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Quantidade_de_conhecidos_dos_conhecidos")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    }//GEN-LAST:event_ex6_todosActionPerformed

    private void ex6_vickieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex6_vickieActionPerformed
         try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select count(*) as Quantidade_de_conhecidos_dos_conhecidos\n" +
" from conhece c2\n" +
"where c2.usua1 in (Select distinct c1.usua2 from conhecenormalizada c1\n" +
"WHERE c1.usua1 in ('http://utfpr.edu.br/CSB30/2019/1/DI1901vickiearanha') \n" +
"AND c1.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901vickiearanha'))\n" +
"and c2.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901vickiearanha')");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{ "Quantidade_de_conhecidos_dos_conhecidos"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Quantidade_de_conhecidos_dos_conhecidos")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    }//GEN-LAST:event_ex6_vickieActionPerformed

    private void ex6_andreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex6_andreActionPerformed
        try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select count(*) as Quantidade_de_conhecidos_dos_conhecidos\n" +
" from conhece c2\n" +
"where c2.usua1 in (Select distinct c1.usua2 from conhecenormalizada c1\n" +
"WHERE c1.usua1 in ('http://utfpr.edu.br/CSB30/2019/1/DI1901andreolivei') \n" +
"AND c1.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901andreolivei'))\n" +
"and c2.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901andreolivei')");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{ "Quantidade_de_conhecidos_dos_conhecidos"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Quantidade_de_conhecidos_dos_conhecidos")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    }//GEN-LAST:event_ex6_andreActionPerformed

    private void ex6_miguelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex6_miguelActionPerformed
         try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select count(*) as Quantidade_de_conhecidos_dos_conhecidos \n" +
"from conhece c2\n" +
"where c2.usua1 in (Select distinct c1.usua2 from conhecenormalizada c1\n" +
"WHERE c1.usua1 in ('http://utfpr.edu.br/CSB30/2019/1/DI1901miguelneto') \n" +
"AND c1.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901miguelneto'))\n" +
"and c2.usua2 not in('http://utfpr.edu.br/CSB30/2019/1/DI1901miguelneto')");

                DefaultTableModel modelo = new DefaultTableModel(new Object[]{ "Quantidade_de_conhecidos_dos_conhecidos"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Quantidade_de_conhecidos_dos_conhecidos")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    }//GEN-LAST:event_ex6_miguelActionPerformed

    private void ex_7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex_7ActionPerformed
           try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select Nmr_curtidas_por_usuario,count(*) as nmr_pessoas_por_curtidas FROM (Select count(*) as Nmr_curtidas_por_usuario from curte2\n" +
                    "group by usuario\n" +
                    "order by count(*) desc) as Like_per_usua\n" +
                    "group by Nmr_curtidas_por_usuario\n" +
                    "order by Nmr_curtidas_por_usuario desc;");
                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"Nmr_curtidas_por_usuario", "nmr_pessoas_por_curtidas"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Nmr_curtidas_por_usuario"), rs.getString("nmr_pessoas_por_curtidas")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
           
                      int a1,b1;
           DataTable data = new DataTable(Integer.class, Integer.class);
           String a,b;
           for (int i=0;i<Tb_01.getRowCount();i++)
           {

               a1=Integer.parseInt((String)Tb_01.getValueAt(i,0));
               b1=Integer.parseInt((String)Tb_01.getValueAt(i,1));           
               data.add(a1,b1);
           };
       AnaliseParte01 frame = new AnaliseParte01(data);
        frame.setVisible(true);
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    }//GEN-LAST:event_ex_7ActionPerformed

    private void ex_8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex_8ActionPerformed
                try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select Nmr_curtidas_por_filme, count(*) as nmr_filmes_por_curtidas FROM (Select filme,count(*) as Nmr_curtidas_por_filme from curte2\n" +
                    "group by filme\n" +
                    "order by count(*) desc) as Like_per_film\n" +
                    "group by Nmr_curtidas_por_filme\n" +
                    "order by Nmr_curtidas_por_filme desc ");
                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"Nmr_curtidas_por_filme", "nmr_filmes_por_curtidas"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Nmr_curtidas_por_filme"), rs.getString("nmr_filmes_por_curtidas")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
                
                        int a1,b1;
           DataTable data = new DataTable(Integer.class, Integer.class);
           String a,b;
           for (int i=0;i<Tb_01.getRowCount();i++)
           {

               a1=Integer.parseInt((String)Tb_01.getValueAt(i,0));
               b1=Integer.parseInt((String)Tb_01.getValueAt(i,1));           
               data.add(a1,b1);
           };
       AnaliseParte01 frame = new AnaliseParte01(data);
        frame.setVisible(true);
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     
    // TODO add your handling code here:
    }//GEN-LAST:event_ex_8ActionPerformed

    private void ex_9_1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex_9_1ActionPerformed
           try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select Nmr_curtidas_por_usuario_artistas,count(*) as nmr_pessoas_por_curtidas_artistas FROM\n" +
                "(Select count(*) as Nmr_curtidas_por_usuario_artistas from curte\n" +
                "group by usuario\n" +
                "order by count(*) desc) as Like_per_usua_art\n" +
                "group by Nmr_curtidas_por_usuario_artistas\n" +
                "order by Nmr_curtidas_por_usuario_artistas desc");
                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"Nmr_curtidas_por_usuario_artistas", "nmr_pessoas_por_curtidas_artistas"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Nmr_curtidas_por_usuario_artistas"), rs.getString("nmr_pessoas_por_curtidas_artistas")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);

                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
           int a1,b1;
           DataTable data = new DataTable(Integer.class, Integer.class);
           String a,b;
           for (int i=0;i<Tb_01.getRowCount();i++)
           {

               a1=Integer.parseInt((String)Tb_01.getValueAt(i,0));
               b1=Integer.parseInt((String)Tb_01.getValueAt(i,1));           
               data.add(a1,b1);
           };
       AnaliseParte01 frame = new AnaliseParte01(data);
        frame.setVisible(true);
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
     }//GEN-LAST:event_ex_9_1ActionPerformed

    private void ex_9_2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ex_9_2ActionPerformed
                  try{
              Statement stmt = null;
              Connection c = getStringConnection();
                stmt = c.createStatement();
                ResultSet rs = stmt.executeQuery
                 ("Select Nmr_curtidas_por_artista, count(*) as nmr_artista_por_curtidas FROM \n" +
                        "(Select artistas,count(*) as Nmr_curtidas_por_artista from curte\n" +
                    "group by artistas\n" +
                    "order by count(*) desc) as Like_per_film\n" +
                    "group by Nmr_curtidas_por_artista\n" +
                    "order by Nmr_curtidas_por_artista desc ");
                DefaultTableModel modelo = new DefaultTableModel(new Object[]{"Nmr_curtidas_por_artista", "nmr_artista_por_curtidas"}, 0);

                while (rs.next()) {
                    Object linha[] = new Object[]{rs.getString("Nmr_curtidas_por_artista"), rs.getString("nmr_artista_por_curtidas")};
                    modelo.addRow(linha);
                }

                Tb_01.setModel(modelo);
                Tb_01.getColumnModel().getColumn(0).setPreferredWidth(100);
              
                rs.close();
                stmt.close();
              closeConnection(c);
            } catch (Exception e) {
                System.err.println(e.getClass().getName() + ": " + e.getMessage());
                System.exit(0);
                JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());
            }
                  
            int a1,b1;
           DataTable data = new DataTable(Integer.class, Integer.class);
           for (int i=0;i<Tb_01.getRowCount();i++)
           {

               a1=Integer.parseInt((String)Tb_01.getValueAt(i,0));
               b1=Integer.parseInt((String)Tb_01.getValueAt(i,1));           
               data.add(a1,b1);
           };
       AnaliseParte01 frame = new AnaliseParte01(data);
        frame.setVisible(true);
            JOptionPane.showMessageDialog(null, "Tabela atualizada!");
    
    }//GEN-LAST:event_ex_9_2ActionPerformed
 public Connection getStringConnection(){
       Connection c = null;
        try{
         
           
                Class.forName("org.postgresql.Driver");
                c = DriverManager.getConnection("jdbc:postgresql://200.134.10.32:5432/1901VMA", "1901VMA", "786333");
                c.setAutoCommit(true);
            return c;
        }
         catch(Exception e ){
        
        System.err.println(e.getClass().getName() + ": " + e.getMessage());
        System.exit(0);
        JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());

    }   
 
                
        return c;
            
 }
 public void closeConnection(Connection c){
    try{
         c.close();
    }
    catch(Exception e ){
        
        System.err.println(e.getClass().getName() + ": " + e.getMessage());
        System.exit(0);
        JOptionPane.showMessageDialog(null, e.getClass().getName() + ": " + e.getMessage());

    }   
 
 }
 
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Principal01.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Principal01.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Principal01.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Principal01.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Principal01().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable Tb_01;
    private javax.swing.JButton ex01;
    private javax.swing.JButton ex2_1;
    private javax.swing.JButton ex2_2;
    private javax.swing.JButton ex3_1;
    private javax.swing.JButton ex3_2;
    private javax.swing.JButton ex6_andre;
    private javax.swing.JButton ex6_miguel;
    private javax.swing.JButton ex6_todos;
    private javax.swing.JButton ex6_vickie;
    private javax.swing.JButton ex_4;
    private javax.swing.JButton ex_5;
    private javax.swing.JButton ex_7;
    private javax.swing.JButton ex_8;
    private javax.swing.JButton ex_9_1;
    private javax.swing.JButton ex_9_2;
    private javax.swing.JButton jButton2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables
}
